Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.rn.baselegaldata.v1
Class AddressDeclarationType

    java.lang.Object
      be.fgov.ehealth.rn.baselegaldata.v1.AddressDeclarationType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:15+01:00",
               comments="JAXB RI v2.2.11")
    public class AddressDeclarationType

extends Object
implements Serializable

Java class for AddressDeclarationType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AddressDeclarationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ResidentialAddress" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}ForeignAddressDeclarationType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AddressDeclarationType()`

Method Summary
`ForeignAddressDeclarationType` | `getResidentialAddress()` Gets the value of the residentialAddress property.
`void` | `setResidentialAddress(ForeignAddressDeclarationType value)` Sets the value of the residentialAddress property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddressDeclarationType

    public AddressDeclarationType()

Method Detail

### getResidentialAddress

    public ForeignAddressDeclarationType getResidentialAddress()

  Gets the value of the residentialAddress property.

  Returns:
    possible object is `ForeignAddressDeclarationType`

### setResidentialAddress

    public void setResidentialAddress(ForeignAddressDeclarationType value)

  Sets the value of the residentialAddress property.

  Parameters:
    `value` - allowed object is `ForeignAddressDeclarationType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.